'use strict';var _createClass=function(){function defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor);}}return function(Constructor,protoProps,staticProps){if(protoProps)defineProperties(Constructor.prototype,protoProps);if(staticProps)defineProperties(Constructor,staticProps);return Constructor;};}();var _chai=require('chai');function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function");}}var Meta=function(){function Meta(){_classCallCheck(this,Meta);this.users=Object.create(null);this.racks=Object.create(null);}_createClass(Meta,[{key:'getUser',value:function getUser(username){Meta.validateUsername(username);var user=this.users[username];if(user===undefined){return null;}return{username:username,hashedKey:user.hashedKey,readPermissions:user.readPermissions.map(function(p){return p;}),writePermissions:user.writePermissions.map(function(p){return p;})};}},{key:'getRack',value:function getRack(rackName){Meta.validateRackName(rackName);var rack=this.racks[rackName];if(rack===undefined){return null;}return{rackName:rackName,usersWithReadPermission:rack.usersWithReadPermission.map(function(u){return u;}),usersWithWritePermission:rack.usersWithWritePermission.map(function(u){return u;})};}},{key:'processAction',value:function processAction(action){Meta.validateAction(action);switch(action.type){case'create user':this.createUser(action.payload.username,action.payload.hashedKey);break;case'delete user':this.deleteUser(action.payload.username);break;case'create rack':this.createRack(action.payload.rackName);break;case'grant read':this.grantRead(action.payload.username,action.payload.rackName);break;case'grant write':this.grantWrite(action.payload.username,action.payload.rackName);break;case'revoke read':this.revokeRead(action.payload.username,action.payload.rackName);break;case'revoke write':this.revokeWrite(action.payload.username,action.payload.rackName);break;default:throw new Error('Unrecognized action type.');}}},{key:'createUser',value:function createUser(username,hashedKey){Meta.validateUsername(username);Meta.validateHashedKey(hashedKey);_chai.assert.isUndefined(this.users[username],'A user with this username already exists.');this.users[username]={hashedKey:hashedKey,readPermissions:[],writePermissions:[]};}},{key:'deleteUser',value:function deleteUser(username){var _this=this;Meta.validateUsername(username);_chai.assert.isDefined(this.users[username],'A user with this username does not exist.');this.users[username].readPermissions.forEach(function(readPermission){var usersWithReadPermission=_this.racks[readPermission].usersWithReadPermission;var index=usersWithReadPermission.indexOf(username);usersWithReadPermission.splice(index,1);});this.users[username].writePermissions.forEach(function(writePermission){var usersWithWritePermission=_this.racks[writePermission].usersWithWritePermission;var index=usersWithWritePermission.indexOf(username);usersWithWritePermission.splice(index,1);});delete this.users[username];}},{key:'createRack',value:function createRack(rackName){Meta.validateRackName(rackName);_chai.assert.isUndefined(this.racks[rackName],'This rack already exists.');this.racks[rackName]={usersWithReadPermission:[],usersWithWritePermission:[]};}},{key:'grantRead',value:function grantRead(username,rackName){Meta.validateUsername(username);Meta.validateRackName(rackName);_chai.assert.isDefined(this.users[username],'A user with this username does not exist.');_chai.assert.isDefined(this.racks[rackName],'This rack does not exist.');_chai.assert.notInclude(this.users[username].readPermissions,rackName,'The user already has read permission for this rack.');this.users[username].readPermissions.push(rackName);this.racks[rackName].usersWithReadPermission.push(username);}},{key:'grantWrite',value:function grantWrite(username,rackName){Meta.validateUsername(username);Meta.validateRackName(rackName);_chai.assert.isDefined(this.users[username],'A user with this username does not exist.');_chai.assert.isDefined(this.racks[rackName],'This rack does not exist.');_chai.assert.notInclude(this.users[username].writePermissions,rackName,'The user already has write permission for this rack.');this.users[username].writePermissions.push(rackName);this.racks[rackName].usersWithWritePermission.push(username);}},{key:'revokeRead',value:function revokeRead(username,rackName){Meta.validateUsername(username);Meta.validateRackName(rackName);_chai.assert.isDefined(this.users[username],'A user with this username does not exist.');_chai.assert.isDefined(this.racks[rackName],'This rack does not exist.');var index=this.users[username].readPermissions.indexOf(rackName);_chai.assert.isAtLeast(index,0,'The user does not have read permission for this rack.');this.users[username].readPermissions.splice(index,1);index=this.racks[rackName].usersWithReadPermission.indexOf(username);this.racks[rackName].usersWithReadPermission.splice(index,1);}},{key:'revokeWrite',value:function revokeWrite(username,rackName){Meta.validateUsername(username);Meta.validateRackName(rackName);_chai.assert.isDefined(this.users[username],'A user with this username does not exist.');_chai.assert.isDefined(this.racks[rackName],'This rack does not exist.');var index=this.users[username].writePermissions.indexOf(rackName);_chai.assert.isAtLeast(index,0,'The user does not have write permission for this rack.');this.users[username].writePermissions.splice(index,1);index=this.racks[rackName].usersWithWritePermission.indexOf(username);this.racks[rackName].usersWithWritePermission.splice(index,1);}}],[{key:'validateAction',value:function validateAction(action){_chai.assert.isDefined(action,'An action must be defined.');_chai.assert.isObject(action,'An action must be an object.');_chai.assert.isDefined(action.type,'An action must have the property "type".');_chai.assert.isString(action.type,'An action\'s "type" property must be a string.');_chai.assert.isDefined(action.payload,'An action must have the property "payload".');_chai.assert.isObject(action.payload,'An action\'s "payload" property must be an object.');}},{key:'validateUsername',value:function validateUsername(username){_chai.assert.isDefined(username,'A username must be defined.');_chai.assert.isString(username,'A username must be a string.');_chai.assert.isAtLeast(username.length,1,'A username must be at least 1 character in length.');_chai.assert.isAtMost(username.length,32,'A username cannot be more than 32 characters in length.');_chai.assert.match(username,/^([0-9a-z])+$/,'A username can only contain lowercase letters (a-z) and numbers (0-9).');}},{key:'validateHashedKey',value:function validateHashedKey(hashedKey){_chai.assert.isDefined(hashedKey,'A hashed key must be defined.');_chai.assert.isString(hashedKey,'A hashed key must be a string.');_chai.assert.lengthOf(hashedKey,64,'A hashed key must be 64 characters in length.');_chai.assert.match(hashedKey,/^([0-9a-f])+$/,'A hashed key must be lowercase and hexadecimal (0-9, a-f).');}},{key:'validateRackName',value:function validateRackName(rackName){_chai.assert.isDefined(rackName,'A rack name must be defined.');_chai.assert.isString(rackName,'A rack name must be a string.');_chai.assert.isAtLeast(rackName.length,1,'A rack name must be at least 1 character in length.');_chai.assert.isAtMost(rackName.length,128,'A rack name cannot be more than 128 characters in length.');_chai.assert.match(rackName,/^([0-9a-zA-Z_])+$/,'A rack name can only contain letters (a-z, A-Z), numbers (0-9), and underscores (_).');}}]);return Meta;}();module.exports=Meta;
//# sourceMappingURL=meta.js.map
